=== doc/Makefile ===
xhk.1: xhk.md
	pandoc xhk.md --standalone --to man -o xhk.1
