=== debian/changelog ===
xhk (1.2-2) unstable; urgency=medium

  * d/control
    - Bump debhelper version to 13

 -- Kentaro Hayashi <kenhys@xdump.org>  Fri, 15 May 2020 08:54:30 +0900

xhk (1.2-1) unstable; urgency=medium

  * New upstream version 1.2
  * d/control
    - Bump standard-version to 4.4.1. No other changes are required.
    - Bump compat version to 12.
    - Add Rules-Requires-Root: no.

 -- Kentaro Hayashi <hayashi@clear-code.com>  Tue, 19 Nov 2019 19:44:16 +0900

xhk (1.1-1) unstable; urgency=medium

  * Initial upload to Debian. (Closes: #917091)

 -- Kentaro Hayashi <hayashi@clear-code.com>  Tue, 22 Jan 2019 22:58:20 +0900
