=== debian/control ===
Source: xhk
Section: x11
Priority: optional
Maintainer: Kentaro Hayashi <kenhys@xdump.org>
Build-Depends:
 debhelper-compat (= 13),
 libx11-dev,
 libxi-dev,
 libxtst-dev,
 pkg-config
Standards-Version: 4.4.1
Homepage: https://github.com/kbingham/xhk
Vcs-Git: https://salsa.debian.org/debian/xhk.git
Vcs-Browser: https://salsa.debian.org/debian/xhk
Rules-Requires-Root: no

Package: xhk
Architecture: any
Depends:
 ${shlibs:Depends},
 ${misc:Depends}
Description: XLib halfkey implementation
 Running xhk detaches the keyboard, and intercepts all input; processing it for
 space bar pushes as it goes. The space bar acts as a modifier if it is held at
 the same time as a standard letter. Modifying acts to mirror the input such
 that key presses are mirrored down the middle of the home row.
 Pressing space, and then releasing will still provide a single space character.
