=== debian/watch ===
version=4
https://github.com/kbingham/@PACKAGE@/tags .*/@PACKAGE@-v(\d\S+)@ARCHIVE_EXT@
